# -*- coding: utf-8 -*-
from __future__ import unicode_literals
# This file was autogenerated by scripts/generate_registry.py

# This file generated on: 2014-10-25

# IANA link relation registry last updated on: 2013-12-24
# Obtained from http://www.iana.org/assignments/link-relations/link-relations.xml

iana_rels = {
    'about': (
        "Refers to a resource that is the subject of the link's context."
    ),
    'alternate': (
        "Refers to a substitute for this context"
    ),
    'appendix': (
        "Refers to an appendix."
    ),
    'archives': (
        "Refers to a collection of records, documents, or other materials of "
        "historical interest."
    ),
    'author': (
        "Refers to the context's author."
    ),
    'bookmark': (
        "Gives a permanent link to use for bookmarking purposes."
    ),
    'canonical': (
        "Designates the preferred version of a resource (the IRI and its "
        "contents)."
    ),
    'chapter': (
        "Refers to a chapter in a collection of resources."
    ),
    'collection': (
        "The target IRI points to a resource which represents the collection "
        "resource for the context IRI."
    ),
    'contents': (
        "Refers to a table of contents."
    ),
    'copyright': (
        "Refers to a copyright statement that applies to the link's context."
    ),
    'create-form': (
        "The target IRI points to a resource where a submission form can be "
        "obtained."
    ),
    'current': (
        "Refers to a resource containing the most recent item(s) in a "
        "collection of resources."
    ),
    'describedby': (
        "Refers to a resource providing information about the link's context."
    ),
    'describes': (
        "The relationship A 'describes' B asserts that resource A provides a "
        "description of resource B. There are no constraints on the format or "
        "representation of either A or B, neither are there any further "
        "constraints on either resource."
    ),
    'disclosure': (
        "Refers to a list of patent disclosures made with respect to material "
        "for which 'disclosure' relation is specified."
    ),
    'duplicate': (
        "Refers to a resource whose available representations are "
        "byte-for-byte identical with the corresponding representations of "
        "the context IRI."
    ),
    'edit': (
        "Refers to a resource that can be used to edit the link's context."
    ),
    'edit-form': (
        "The target IRI points to a resource where a submission form for "
        "editing associated resource can be obtained."
    ),
    'edit-media': (
        "Refers to a resource that can be used to edit media associated with "
        "the link's context."
    ),
    'enclosure': (
        "Identifies a related resource that is potentially large and might "
        "require special handling."
    ),
    'first': (
        "An IRI that refers to the furthest preceding resource in a series of "
        "resources."
    ),
    'glossary': (
        "Refers to a glossary of terms."
    ),
    'help': (
        "Refers to context-sensitive help."
    ),
    'hosts': (
        "Refers to a resource hosted by the server indicated by the link "
        "context."
    ),
    'hub': (
        "Refers to a hub that enables registration for notification of "
        "updates to the context."
    ),
    'icon': (
        "Refers to an icon representing the link's context."
    ),
    'index': (
        "Refers to an index."
    ),
    'item': (
        "The target IRI points to a resource that is a member of the "
        "collection represented by the context IRI."
    ),
    'last': (
        "An IRI that refers to the furthest following resource in a series of "
        "resources."
    ),
    'latest-version': (
        "Points to a resource containing the latest (e.g., current) version "
        "of the context."
    ),
    'license': (
        "Refers to a license associated with this context."
    ),
    'lrdd': (
        "Refers to further information about the link's context, expressed as "
        "a LRDD (\"Link-based Resource Descriptor Document\") resource. See"
    ),
    'memento': (
        "The Target IRI points to a Memento, a fixed resource that will not "
        "change state anymore."
    ),
    'monitor': (
        "Refers to a resource that can be used to monitor changes in an HTTP "
        "resource."
    ),
    'monitor-group': (
        "Refers to a resource that can be used to monitor changes in a "
        "specified group of HTTP resources."
    ),
    'next': (
        "Indicates that the link's context is a part of a series, and that "
        "the next in the series is the link target."
    ),
    'next-archive': (
        "Refers to the immediately following archive resource."
    ),
    'nofollow': (
        "Indicates that the contexts original author or publisher does not "
        "endorse the link target."
    ),
    'noreferrer': (
        "Indicates that no referrer information is to be leaked when "
        "following the link."
    ),
    'original': (
        "The Target IRI points to an Original Resource."
    ),
    'payment': (
        "Indicates a resource where payment is accepted."
    ),
    'predecessor-version': (
        "Points to a resource containing the predecessor version in the "
        "version history."
    ),
    'prefetch': (
        "Indicates that the link target should be preemptively cached."
    ),
    'prev': (
        "Indicates that the link's context is a part of a series, and that "
        "the previous in the series is the link target."
    ),
    'prev-archive': (
        "Refers to the immediately preceding archive resource."
    ),
    'preview': (
        "Refers to a resource that provides a preview of the link's context."
    ),
    'previous': (
        "Refers to the previous resource in an ordered series of resources. "
        "Synonym for \"prev\"."
    ),
    'privacy-policy': (
        "Refers to a privacy policy associated with the link's context."
    ),
    'profile': (
        "Identifying that a resource representation conforms to a certain "
        "profile, without affecting the non-profile semantics of the resource "
        "representation."
    ),
    'related': (
        "Identifies a related resource."
    ),
    'replies': (
        "Identifies a resource that is a reply to the context of the link."
    ),
    'search': (
        "Refers to a resource that can be used to search through the link's "
        "context and related resources."
    ),
    'section': (
        "Refers to a section in a collection of resources."
    ),
    'self': (
        "Conveys an identifier for the link's context."
    ),
    'service': (
        "Indicates a URI that can be used to retrieve a service document."
    ),
    'start': (
        "Refers to the first resource in a collection of resources."
    ),
    'stylesheet': (
        "Refers to a stylesheet."
    ),
    'subsection': (
        "Refers to a resource serving as a subsection in a collection of "
        "resources."
    ),
    'successor-version': (
        "Points to a resource containing the successor version in the version "
        "history."
    ),
    'tag': (
        "Gives a tag (identified by the given address) that applies to the "
        "current document."
    ),
    'terms-of-service': (
        "Refers to the terms of service associated with the link's context."
    ),
    'timegate': (
        "The Target IRI points to a TimeGate for an Original Resource."
    ),
    'timemap': (
        "The Target IRI points to a TimeMap for an Original Resource."
    ),
    'type': (
        "Refers to a resource identifying the abstract semantic type of which "
        "the link's context is considered to be an instance."
    ),
    'up': (
        "Refers to a parent document in a hierarchy of documents."
    ),
    'version-history': (
        "Points to a resource containing the version history for the context."
    ),
    'via': (
        "Identifies a resource that is the source of the information in the "
        "link's context."
    ),
    'working-copy': (
        "Points to a working copy for this resource."
    ),
    'working-copy-of': (
        "Points to the versioned resource from which this working copy was "
        "obtained."
    ),
}


# Obtained from http://data.iana.org/TLD/tlds-alpha-by-domain.txt
# TLDs last updated: 2014-10-25

tlds = set(['abogado', 'ac', 'academy', 'accountants', 'active', 'actor'
    'ad', 'ae', 'aero', 'af', 'ag', 'agency', 'ai', 'airforce', 'al'
    'allfinanz', 'alsace', 'am', 'an', 'ao', 'aq', 'ar', 'archi', 'army'
    'arpa', 'as', 'asia', 'associates', 'at', 'attorney', 'au', 'auction'
    'audio', 'autos', 'aw', 'ax', 'axa', 'az', 'ba', 'band', 'bar'
    'bargains', 'bayern', 'bb', 'bd', 'be', 'beer', 'berlin', 'best', 'bf'
    'bg', 'bh', 'bi', 'bid', 'bike', 'bio', 'biz', 'bj', 'black'
    'blackfriday', 'blue', 'bm', 'bmw', 'bn', 'bnpparibas', 'bo', 'boo'
    'boutique', 'br', 'brussels', 'bs', 'bt', 'budapest', 'build'
    'builders', 'business', 'buzz', 'bv', 'bw', 'by', 'bz', 'bzh', 'ca'
    'cab', 'cal', 'camera', 'camp', 'cancerresearch', 'capetown', 'capital'
    'caravan', 'cards', 'care', 'career', 'careers', 'casa', 'cash', 'cat'
    'catering', 'cc', 'cd', 'center', 'ceo', 'cern', 'cf', 'cg', 'ch'
    'channel', 'cheap', 'christmas', 'chrome', 'church', 'ci', 'citic'
    'city', 'ck', 'cl', 'claims', 'cleaning', 'click', 'clinic', 'clothing'
    'club', 'cm', 'cn', 'co', 'codes', 'coffee', 'college', 'cologne'
    'com', 'community', 'company', 'computer', 'condos', 'construction'
    'consulting', 'contractors', 'cooking', 'cool', 'coop', 'country', 'cr'
    'credit', 'creditcard', 'crs', 'cruises', 'cu', 'cuisinella', 'cv'
    'cw', 'cx', 'cy', 'cymru', 'cz', 'dad', 'dance', 'dating', 'day', 'de'
    'deals', 'degree', 'democrat', 'dental', 'dentist', 'desi', 'diamonds'
    'diet', 'digital', 'direct', 'directory', 'discount', 'dj', 'dk', 'dm'
    'dnp', 'do', 'domains', 'durban', 'dvag', 'dz', 'eat', 'ec', 'edu'
    'education', 'ee', 'eg', 'email', 'emerck', 'engineer', 'engineering'
    'enterprises', 'equipment', 'er', 'es', 'esq', 'estate', 'et', 'eu'
    'eus', 'events', 'exchange', 'expert', 'exposed', 'fail', 'farm'
    'feedback', 'fi', 'finance', 'financial', 'fish', 'fishing', 'fitness'
    'fj', 'fk', 'flights', 'florist', 'flsmidth', 'fly', 'fm', 'fo', 'foo'
    'forsale', 'foundation', 'fr', 'frl', 'frogans', 'fund', 'furniture'
    'futbol', 'ga', 'gal', 'gallery', 'gb', 'gbiz', 'gd', 'ge', 'gent'
    'gf', 'gg', 'gh', 'gi', 'gift', 'gifts', 'gives', 'gl', 'glass', 'gle'
    'global', 'globo', 'gm', 'gmail', 'gmo', 'gmx', 'gn', 'google', 'gop'
    'gov', 'gp', 'gq', 'gr', 'graphics', 'gratis', 'green', 'gripe', 'gs'
    'gt', 'gu', 'guide', 'guitars', 'guru', 'gw', 'gy', 'hamburg', 'haus'
    'healthcare', 'help', 'here', 'hiphop', 'hiv', 'hk', 'hm', 'hn'
    'holdings', 'holiday', 'homes', 'horse', 'host', 'hosting', 'house'
    'how', 'hr', 'ht', 'hu', 'ibm', 'id', 'ie', 'il', 'im', 'immo'
    'immobilien', 'in', 'industries', 'info', 'ing', 'ink', 'institute'
    'insure', 'int', 'international', 'investments', 'io', 'iq', 'ir', 'is'
    'it', 'je', 'jetzt', 'jm', 'jo', 'jobs', 'joburg', 'jp', 'juegos'
    'kaufen', 'ke', 'kg', 'kh', 'ki', 'kim', 'kitchen', 'kiwi', 'km', 'kn'
    'koeln', 'kp', 'kr', 'krd', 'kred', 'kw', 'ky', 'kz', 'la', 'lacaixa'
    'land', 'lawyer', 'lb', 'lc', 'lease', 'lgbt', 'li', 'life', 'lighting'
    'limited', 'limo', 'link', 'lk', 'loans', 'london', 'lotto', 'lr', 'ls'
    'lt', 'ltda', 'lu', 'luxe', 'luxury', 'lv', 'ly', 'ma', 'maison'
    'management', 'mango', 'market', 'marketing', 'mc', 'md', 'me', 'media'
    'meet', 'melbourne', 'meme', 'menu', 'mg', 'mh', 'miami', 'mil', 'mini'
    'mk', 'ml', 'mm', 'mn', 'mo', 'mobi', 'moda', 'moe', 'monash'
    'mortgage', 'moscow', 'motorcycles', 'mov', 'mp', 'mq', 'mr', 'ms'
    'mt', 'mu', 'museum', 'mv', 'mw', 'mx', 'my', 'mz', 'na', 'nagoya'
    'name', 'navy', 'nc', 'ne', 'net', 'network', 'neustar', 'new', 'nexus'
    'nf', 'ng', 'ngo', 'nhk', 'ni', 'ninja', 'nl', 'no', 'np', 'nr', 'nra'
    'nrw', 'nu', 'nyc', 'nz', 'okinawa', 'om', 'ong', 'onl', 'ooo', 'org'
    'organic', 'otsuka', 'ovh', 'pa', 'paris', 'partners', 'parts', 'pe'
    'pf', 'pg', 'ph', 'pharmacy', 'photo', 'photography', 'photos'
    'physio', 'pics', 'pictures', 'pink', 'pizza', 'pk', 'pl', 'place'
    'plumbing', 'pm', 'pn', 'pohl', 'poker', 'post', 'pr', 'praxi', 'press'
    'pro', 'prod', 'productions', 'prof', 'properties', 'property', 'ps'
    'pt', 'pub', 'pw', 'py', 'qa', 'qpon', 'quebec', 're', 'realtor'
    'recipes', 'red', 'rehab', 'reise', 'reisen', 'ren', 'rentals'
    'repair', 'report', 'republican', 'rest', 'restaurant', 'reviews'
    'rich', 'rio', 'rip', 'ro', 'rocks', 'rodeo', 'rs', 'rsvp', 'ru'
    'ruhr', 'rw', 'ryukyu', 'sa', 'saarland', 'sarl', 'sb', 'sc', 'sca'
    'scb', 'schmidt', 'schule', 'scot', 'sd', 'se', 'services', 'sexy'
    'sg', 'sh', 'shiksha', 'shoes', 'si', 'singles', 'sj', 'sk', 'sl', 'sm'
    'sn', 'so', 'social', 'software', 'sohu', 'solar', 'solutions', 'soy'
    'space', 'spiegel', 'sr', 'st', 'su', 'supplies', 'supply', 'support'
    'surf', 'surgery', 'suzuki', 'sv', 'sx', 'sy', 'systems', 'sz'
    'taipei', 'tatar', 'tattoo', 'tax', 'tc', 'td', 'technology', 'tel'
    'tf', 'tg', 'th', 'tienda', 'tips', 'tirol', 'tj', 'tk', 'tl', 'tm'
    'tn', 'to', 'today', 'tokyo', 'tools', 'top', 'town', 'toys', 'tp'
    'tr', 'trade', 'training', 'travel', 'tt', 'tui', 'tv', 'tw', 'tz'
    'ua', 'ug', 'uk', 'university', 'uno', 'uol', 'us', 'uy', 'uz', 'va'
    'vacations', 'vc', 've', 'vegas', 'ventures', 'versicherung', 'vet'
    'vg', 'vi', 'viajes', 'villas', 'vision', 'vlaanderen', 'vn', 'vodka'
    'vote', 'voting', 'voto', 'voyage', 'vu', 'wales', 'wang', 'watch'
    'webcam', 'website', 'wed', 'wedding', 'wf', 'whoswho', 'wien', 'wiki'
    'williamhill', 'wme', 'work', 'works', 'world', 'ws', 'wtc', 'wtf'
    '佛山', '集团', '在线', '한국', 'ভারত', 'موقع', '公益', '公司', '移动', '我爱你'
    'москва', 'қаз', 'онлайн', 'сайт', 'срб', 'орг', '삼성', 'சிங்கப்பூர்'
    '商标', '商城', 'дети', 'мкд', '中文网', '中信', '中国', '中國', 'భారత్', 'ලංකා'
    'ભારત', 'भारत', 'संगठन', '网络', 'укр', '香港', '台湾', '台灣', '手机', 'мон'
    'الجزائر', 'عمان', 'ایران', 'امارات', 'بازار', 'الاردن', 'بھارت'
    'المغرب', 'السعودية', 'مليسيا', 'شبكة', 'გე', '机构', '组织机构', 'ไทย'
    'سورية', 'рус', 'рф', 'تونس', 'みんな', '世界', 'ਭਾਰਤ', '网址', '游戏'
    'VERMöGENSBERATER', 'VERMöGENSBERATUNG', '企业', 'مصر', 'قطر', '广东'
    'இலங்கை', 'இந்தியா', '新加坡', 'فلسطين', '政务', 'xxx', 'xyz', 'yachts'
    'yandex', 'ye', 'yoga', 'yokohama', 'youtube', 'yt', 'za', 'zip', 'zm'
    'zone', 'zw'])
